## com.google.gwt.event.dom.client
Interface HasAllFocusHandlers

All Superinterfaces:
  HasBlurHandlers, HasFocusHandlers, HasHandlers

All Known Implementing Classes:
  Anchor, Button, ButtonBase, CheckBox, CustomButton, FocusPanel, FocusWidget, ListBox, PasswordTextBox, PushButton, RadioButton, RichTextArea, SimpleCheckBox, SimpleRadioButton, TextArea, TextBox, TextBoxBase, ToggleButton, Tree

    public interface HasAllFocusHandlers

extends HasFocusHandlers, HasBlurHandlers

This is a convenience interface that includes all focus handlers defined by the core GWT system.

WARNING, PLEASE READ: As this interface is intended for developers who wish to handle all focus events in GWT, in the unlikely event that a new focus event is added, this interface will change.

Method Summary

Methods inherited from interface com.google.gwt.event.dom.client.HasFocusHandlers
`addFocusHandler`

Methods inherited from interface com.google.gwt.event.shared.HasHandlers
`fireEvent`

Methods inherited from interface com.google.gwt.event.dom.client.HasBlurHandlers
`addBlurHandler`

Methods inherited from interface com.google.gwt.event.shared.HasHandlers
`fireEvent`